#include <stdlib.h>
#include "str_util.h"
#include "sys_util.h"

#if __VMS

#include <unixio.h>

int sys_remove_file(F_CHAR(file), int file_len) {
  char buf[128];
  STR_TO_C(buf, file);
  return(delete(buf));
}

int sys_gmt_off() {
  return(0);
}

#else

#include <unistd.h>
#include <sys/time.h>

int sys_remove_file_(F_CHAR(file), int file_len) {
  char buf[128];
  STR_TO_C(buf, file);
  return(unlink(buf));
}

int sys_gmt_off_() {
  struct tm *timp;
  time_t tim;
  time(&tim);
  timp=localtime(&tim);
  return(timp->tm_gmtoff);
}

#endif
